<?php

function getService()
{

  require_once 'google/src/Google/autoload.php'; // Google API php kütüphanesini yükleyelim. Bizdeki Api dosyasıyla entegreli olacak sekilde ekledik.

  
  $service_account_email = ' '; //API de oluşturduğumuz mail adresini yazın
  $key_file_location = ' '; //.p12 uzantılı  keyi php dosyanızın içine atın ve dosya yolunu girmeyi unutmayın yoksa hata alırsınız

  $client = new Google_Client();
  $client->setApplicationName("Test");
  $analytics = new Google_Service_Analytics($client);

  $key = file_get_contents($key_file_location);
  $cred = new Google_Auth_AssertionCredentials(
      $service_account_email,
      array(Google_Service_Analytics::ANALYTICS_READONLY),
      $key
  );
  $client->setAssertionCredentials($cred);
  if($client->getAuth()->isAccessTokenExpired()) {
    $client->getAuth()->refreshTokenWithAssertion($cred);
  }

  return $analytics;
}


function getResults(&$analytics, $profileId) {

   $optParams = array(
      'dimensions' => 'ga:day',
	  'metrics' => 'ga:pageviews,ga:sessions',
      );

   return $analytics->data_ga->get(
       'ga:' . $profileId,
       '30daysAgo',
       'today',
       'ga:sessions',$optParams);
}


$analytics = getService();
$profile = " ";//Google Analytics Profile Id nizi girin   Not: Google Profile Id sini öğrenmek için analytics hesabınızdaki adres cubuğunda p den sonra gelen sayı sizin google profil id niz oluyo
$results = getResults($analytics,$profile );
for($i=0;$i<count($results["rows"]);$i++) {
	$tekil[] = $results["rows"][$i][1];
	$cogul[]= $results["rows"][$i][2];

}
?>
<title>Google Analytics Demo</title>
<meta charset="utf8"/>
<script src="//code.jquery.com/jquery-1.11.3.min.js"></script>
<script src="//code.jquery.com/jquery-migrate-1.2.1.min.js"></script>
<script type="text/javascript" src="http://code.highcharts.com/highcharts.js"></script>
<script type="text/javascript" src="http://code.highcharts.com/modules/exporting.js"></script><script type="text/javascript">
$(function () {
        $('#container').highcharts({
            chart: {
                type: 'area'
            },
            title: {
                text: 'Son 1 Aylık Ziyaretçi Verisi  '
            },
            subtitle: {
                text: 'Kaynak: '+
                    'ga: profile Id </a> Tarih  Son 30 Gün'
            },
            xAxis: {
                tickInterval:1
            },
            yAxis: {
                title: {
                    text: 'Ziyaretçi Bilgileri'
                },
                labels: {
                    formatter: function() {
                        return this.value / 1 +'';
                    }
                }
            },
            tooltip: {
                pointFormat: '{series.name}   <b>{point.y:,.0f}</b> '
            },
            plotOptions: {
                area: {
                    pointStart: 1,
                    marker: {
                        enabled: false,
                        symbol: 'circle',
                        radius: 2,
                        states: {
                            hover: {
                                enabled: true
                            }
                        }
                    }
                }
            },
            series: [{
                name: 'Sayfa Gösterimi',
                data: [<?php echo implode(",",$cogul);?> ]
            },{
                name: 'Tekil Ziyaretçi',
                data: [<?php echo implode(",",$tekil);?> ]
            }]
 
        });
    });
</script>
<div id="container" style="width: 800px; height: 370px; margin: 0 auto" ></div>
